Name: schily-tools
Version: 2018.12.21
Release: 0
License: CDDL-1.0, GPL-2.0-only, LGPL-2.0-only 
Summary: Schily Tool Box
Url: https://sourceforge.net/projects/schilytools/
%define releaseDate 2018-12-21
Source: https://sourceforge.net/projects/schilytools/files/schily-%{releaseDate}.tar.bz2

BuildRequires: bison

%description
The "Schily" Tool Box is a set of tools written or managed by Jörg Schilling. 
It includes programs like: cdrecord, cdda2wav, readcd, mkisofs, smake, bsh, btcflash, 
calc, calltree, change, compare, count, devdump, dmake based on SunPro Make, hdump, 
isodebug, isodump, isoinfo, isovfy, label, mt, obosh, od, p, POSIX patch, pbosh, sccs, 
scgcheck, scpio, sdd, sfind, sformat, smake, sh/bosh (Bourne sh), star, star_sym, strar, 
suntar, gnutar, tartest, termcap, and ved.

%prep

%setup -q -n schily-%{releaseDate}

# uses /usr/bin/env perl instead of /usr/bin/perl
find . -type f | xargs perl -p -i -e 's|#!/.*/perl|#!/QOpenSys/pkgs/bin/perl|'
# place these files within /opt/schily/etc instead of /etc

perl -p -i -e 's|etc/default|/opt/schily/etc/default|' star/Makefile.dfl
perl -p -i -e 's|etc/default|/opt/schily/etc/default|' rscsi/Makefile.dfl
perl -p -i -e 's|etc/default|/opt/schily/etc/default|' rmt/Makefile.dfl
perl -p -i -e 's|etc/default|/opt/schily/etc/default|' cdrecord/Makefile.dfl
perl -p -i -e 's|etc|/opt/schily/etc/|' sformat/Makefile.dat
%build

gmake

%install

%make_install

%files
%defattr(-,qsys,*none)

/opt/schily/bin/*
/opt/schily/ccs/*
/opt/schily/etc/*
/opt/schily/include/*
/opt/schily/lib/*
/opt/schily/sbin/*
/opt/schily/share/*
/opt/schily/xpg4/*
